Custom field details
Custom Fields
Custom field details
Custom Field attributes
handle(string) - The key for acontactresource, e.g.custom_1,custom_2,custom_3title(string) - The title of the custom fieldtype(string) - The type of the custom fieldrequired(boolean) - Whether the custom field is requiredarchived(boolean) - Whether the custom field is archived
Sparse Fields
Use the fields[custom_fields] parameter to include only specific attributes:
Include only handle and title fields
GET /v1/custom_fields/123?fields[custom_fields]=handle,title
Response will include only the specified fields
{
"data": {
"id": "123",
"type": "custom_fields",
"attributes": {
"handle": "custom_1",
"title": "Favorite Song"
}
}
}
GET
Custom field details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Partial attributes as specified, e.g. fields[custom_fields]=title,handle